Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001646KdenliveUser Interfacepublic2010-06-06 16:012012-05-30 00:23
ReporterGranjow 
Assigned Tovpinon 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.9.2 
Summary0001646: Titler: Move multiple items
DescriptionAt the moment it is only possible to move one item at the same time with the mouse.

To change this, lots of code will have to be rewritten in graphicsscenerectmove.cpp. It's only working on a single item at the moment.
TagsNo tags attached.
Build/Install Method(select)
Attached Filestxt file icon multi_move_del.txt [^] (9,037 bytes) 2012-05-19 19:34 [Show Content]

- Relationships
related to 0001610closedGranjow Titler would benefit from "select all" for text objects 
related to 0001664closedvpinon Titler: Delete multiple objects at once 

-  Notes
(0005271)
LeHomard (developer)
2010-06-07 13:26

So there is now multiple select but only one object can be moved at the same time ?

I would say that's pretty big bug to correct ! Do you think it will be difficult to solve ?

For the next official release I think it would be better to remove multiple selection if multiple move doesn't work...
(0005272)
Granjow (developer)
2010-06-07 16:25

Multiple selection is not useless now. You can change other properties (such as font color, x position, etc) of multiple items at the same time (was the original problem in 0001610). So there would be no point in removing the multiple selection functionality (more work, no effect) now.

Multiple move isn't necessarily difficult to solve, it is rather that it's a lot of code to rewrite/refactor.

- Issue History
Date Modified Username Field Change
2010-06-06 16:01 Granjow New Issue
2010-06-07 13:26 LeHomard Note Added: 0005271
2010-06-07 13:26 LeHomard Status new => acknowledged
2010-06-07 16:21 Granjow Relationship added related to 0001610
2010-06-07 16:25 Granjow Note Added: 0005272
2011-11-09 08:55 Granjow Relationship added related to 0001664
2012-05-19 19:33 vpinon File Added: multi_move_del.png
2012-05-19 19:34 vpinon File Added: multi_move_del.txt
2012-05-27 16:16 vpinon Build/Install Method Manual build from SVN => (select)
2012-05-27 16:16 vpinon Assigned To => vpinon
2012-05-27 16:16 vpinon Status acknowledged => resolved
2012-05-27 16:16 vpinon Resolution open => fixed
2012-05-27 16:16 vpinon Fixed in Version => 0.9.1
2012-05-27 16:16 vpinon File Deleted: multi_move_del.png
2012-05-30 00:23 j-b-m Fixed in Version 0.9.1 => 0.9.2
2012-05-30 00:23 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker